Updated Branches:
  refs/heads/master 791eb601b -> d92a01336

Cloudstack-2938 [Multiple_IP_Ranges] Password Service does not work in case of 
multiple subnets in a vlan

Signed-off-by: Abhinandan Prateek <[email protected]>


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/d92a0133
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/d92a0133
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/d92a0133

Branch: refs/heads/master
Commit: d92a01336bc41b77a8723089b1c6103678932798
Parents: 791eb60
Author: Bharat Kumar <[email protected]>
Authored: Wed Jun 19 11:58:08 2013 +0530
Committer: Abhinandan Prateek <[email protected]>
Committed: Thu Jun 20 10:37:24 2013 +0530

----------------------------------------------------------------------
 patches/systemvm/debian/config/root/createIpAlias.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/d92a0133/patches/systemvm/debian/config/root/createIpAlias.sh
----------------------------------------------------------------------
diff --git a/patches/systemvm/debian/config/root/createIpAlias.sh 
b/patches/systemvm/debian/config/root/createIpAlias.sh
index 2c79813..1db210b 100755
--- a/patches/systemvm/debian/config/root/createIpAlias.sh
+++ b/patches/systemvm/debian/config/root/createIpAlias.sh
@@ -32,4 +32,7 @@ do
  netmask=$(echo $var1 | cut -f3 -d ":")
  ifconfig eth0:$alias_count $routerip netmask $netmask up
  var=$( echo $var | sed "s/${var1}-//" )
-done
\ No newline at end of file
+done
+#restaring the password service to enable it on the ip aliases
+/etc/init.d/cloud-passwd-srvr restart
+exit $?
\ No newline at end of file

Reply via email to